Multiplication

Hello there,
I draft 3d poins belonging to the piece from the drafting page to the part corners as a journal note. But when I get these values, I want to multiply the value of axis "Y" by two. is there a way to add this to the code below?
Could you help me very urgently?

Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.Annotations
Imports NXOpenUI
Imports NXOpen.UF

Module Comp_Name_xyzposition
Dim s As Session = Session.GetSession()
Dim ui As UI = ui.GetUI()
Dim ufs As UFSession = UFSession.GetUFSession()
Dim wp As Part = s.Parts.Work()

Sub Main()
Dim mode1() As Integer = {0, 0}
Dim pointDisplayMode As Integer = 0
Dim response2 As Integer = Nothing
'Dim response1 As Integer = Nothing
Dim objectpoint(2) As Double
Dim text1(3) As String
Dim cursor As Point3d

Dim dwgview As Drawings.DraftingView = Nothing
select_a_drawing_member_view(dwgview)

Start0:

' Get number of decimal places to also determine xy lablel size
Dim decimalplaces As Integer=2

Start1:
dwgview.Expand()
ufs.Ui.LockUgAccess(NXOpen.UF.UFConstants.UF_UI_FROM_CUSTOM)
response2 = ufs.Ui.PointSubfunction("Select Point for Label", mode1, pointDisplayMode, objectpoint)
ufs.Ui.UnlockUgAccess(NXOpen.UF.UFConstants.UF_UI_FROM_CUSTOM)
wp.Views.UnexpandWork()
'If response1 = 1 Then GoTo Start0
'If response1 = 2 Then GoTo End1

Dim response1 As Selection.DialogResponse = SelectScreenPos(cursor)
If response1 <> Selection.DialogResponse.Pick Then
Return
End If

Dim nullAnnotations_SimpleDraftingAid As Annotations.SimpleDraftingAid = Nothing

Dim draftingNoteBuilder1 As Annotations.DraftingNoteBuilder
draftingNoteBuilder1 = wp.Annotations.CreateDraftingNoteBuilder(nullAnnotations_SimpleDraftingAid)

text1(1) = "X " + objectpoint(0).ToString("F" & decimalplaces.ToString)
text1(2) = "Y " + objectpoint(1).ToString("F" & decimalplaces.ToString)

draftingNoteBuilder1.Text.TextBlock.SetText(text1)

draftingNoteBuilder1.Origin.SetInferRelativeToGeometry(True)

Dim coordinates1 As Point3d = New Point3d(objectpoint(0), objectpoint(1), objectpoint(2))

Dim assocOrigin1 As Annotations.Annotation.AssociativeOriginData
Dim nullView As View = Nothing

Dim point1 As Point3d = New Point3d(cursor.X, cursor.Y,0.0)
draftingNoteBuilder1.Origin.Origin.SetValue(Nothing, nullView, point1)

Dim nXObject1 As NXObject
nXObject1 = draftingNoteBuilder1.Commit()

draftingNoteBuilder1.Destroy()

GoTo Start1
End1:

wp.Preferences.ObjectPreferences.SetWidth(Preferences.PartObject.ObjectType.General, Preferences.PartObject.WidthType.NormalWidth)
End Sub

Public Function SelectScreenPos(ByRef pos As Point3d) As Selection.DialogResponse

Dim view As NXOpen.View = Nothing
Dim letteringPrefs As LetteringPreferences = Nothing
'Dim userSymPrefs As UserSymbolPreferences = Nothing

Return ui.SelectionManager.SelectScreenPosition("Select X Label Position", view, pos)

End Function

Function select_a_drawing_member_view(ByRef dwgview As Drawings.DraftingView)

Dim mask(0) As Selection.MaskTriple
With mask(0)
.Type = UFConstants.UF_view_type
.Subtype = UFConstants.UF_all_subtype
.SolidBodySubtype = 0
End With
Dim cursor As Point3d = Nothing
Dim vw As View = Nothing

Dim resp As Selection.Response = _
ui.SelectionManager.SelectObject("Select a drawing member view", _
"Select a drawing member view", _
Selection.SelectionScope.AnyInAssembly, _
Selection.SelectionAction.ClearAndEnableSpecific, _
False, False, mask, vw, cursor)

If resp = Selection.Response.ObjectSelected Or _
resp = Selection.Response.ObjectSelectedByName Then
dwgview = CType(vw, Drawings.DraftingView)

'Return Selection.Response.cancel

End If

End Function

End Module

Do you want to change the value that shows up in the note? If so, you can do this:

text1(2) = "Y " + (objectpoint(1)*2).ToString("F" & decimalplaces.ToString)

thank you so much.